/*
** Copyright (C) 1998,1999,2000,2001 Martin Roesch <roesch@clark.net>
**
** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.
**
** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.
**
** You should have received a copy of the GNU General Public License
** along with this program; if not, write to the Free Software
** Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

/* $Id: sp_tcp_seq_check.h,v 1.1.1.1 2001/06/29 22:00:54 anonpoet Exp $ */
#ifndef __SP_TCP_SEQ_CHECK_H__
#define __SP_TCP_SEQ_CHECK_H__

#include "snort.h"

#define PLUGIN_TCP_SEQ_CHECK  10

typedef struct _TcpSeqCheckData
{
    u_long tcp_seq;

} TcpSeqCheckData;

void TcpSeqCheckInit(char *, OptTreeNode *, int);
void SetupTcpSeqCheck();
void ParseTcpSeq(char *, OptTreeNode *);
int CheckTcpSeqEq(Packet *, struct _OptTreeNode *, OptFpList *);

#endif  /* __SP_TCP_SEQ_CHECK_H__ */
