/*******************************************
* pass_rule.h
*
* 
******************************************/

#ifndef __scrub_pass_rule_h
#define __scrub_pass_rule_h

#include <pcap.h>
#include <netinet/in.h>

#ifndef TRUE
#define TRUE	1
#endif

#ifndef FALSE	
#define FALSE	0
#endif

#define RESPONSE_DROP			0
#define	RESPONSE_SEND_ON		1
#define RESPONSE_SEND_REPLY		2

void pass_rule_init(pcap_t* pad, int argc, char* argv[]);
int pass_rule(char *user, struct pcap_pkthdr * pkthdr, u_char * pkt);
void pass_rule_free();

/*global variables*/
int	FilterThis;

#endif
