#include "spo_alert_scrub.h"
#include "../hogwash-0.1/pass_rule.h"

extern int FilterThis;

void SetupScrubAlert(){
	RegisterOutputPlugin("scrub_alert", NT_OUTPUT_ALERT, ScrubAlertInit);
}

void ScrubAlertInit(unsigned char* args){
	pv.alert_plugin_active =1;
	AddFuncToOutputList(SpoScrubAlert, NT_OUTPUT_ALERT, NULL);
}

void SpoScrubAlert(Packet *p , char *msg, void *arg){
	char message[4096];

	FilterThis=TRUE;
	if (arg==0){
	  snprintf(message,4096, "Packet Dropped-%s",msg);
	  CallAlertFuncs(p, message, NULL);
	  CallLogFuncs(p, message, NULL);
	}  
}
